Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

Save a copy of the protocol

Request

Security
Bearer
Bodyapplication/json
protocolIdinteger(int32)

The database id of the protocol to copy

saveAsNamestring or null

The new name for the copied protocol, should be unique

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/save-as' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "protocolId": 0,
    "saveAsName": "string"
  }'

Responses

The protocol was copied successfully

Response
No content

Check if a protocol exist found in the import file

Request

Security
Bearer
Bodymultipart/form-data
FilesArray of strings(binary)

The import files

ZipFileProtocolEntrystring

The zip file protocol

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/protocols/find-existing-protocols' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F Files=string \
  -F ZipFileProtocolEntry=string

Responses

The list of existing protocols

Bodyapplication/jsonArray [
namestring or null
viewNamestring or null
doesExistboolean
typestring or null
lastModifiedDateOfExistingstring(date-time)
lastModifiedDateOfImportstring(date-time)
]
Response
application/json
[ { "name": "string", "viewName": "string", "doesExist": true, "type": "string", "lastModifiedDateOfExisting": "2019-08-24T14:15:22Z", "lastModifiedDateOfImport": "2019-08-24T14:15:22Z" } ]

Set the favorite status of a protocol

Request

Security
Bearer
Body
idinteger(int32)

The database id of the protocol to favorite

favoriteboolean

Value of the favorite flag to set

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/protocols/favorite' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": 0,
    "favorite": true
  }'

Responses

The favorite status was updated successfully

Response
No content

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations